import Vue from 'vue'
import store from './store'
import App from './App'
import uView from 'uview-ui'

import empty from '@/components/empty/empty.vue'
import uniTable from '@/components/uni-table/uni-table/uni-table.vue'
import uniTbody from '@/components/uni-table/uni-tbody/uni-tbody.vue'
import uniThead from '@/components/uni-table/uni-thead/uni-thead.vue'
import uniTr from '@/components/uni-table/uni-tr/uni-tr.vue'
import uniTh from '@/components/uni-table/uni-th/uni-th.vue'
import uniTd from '@/components/uni-table/uni-td/uni-td.vue'
import {filePath} from '@/utils/tools.js'

Vue.component('empty',empty)
Vue.component('uni-table',uniTable)
Vue.component('uni-tbody',uniTbody)
Vue.component('uni-thead',uniThead)
Vue.component('uni-tr',uniTr)
Vue.component('uni-th',uniTh)
Vue.component('uni-td',uniTd)
Vue.use(uView)
Vue.config.productionTip = false
// Vue.prototype.$filePath = 'https://qgqy.qhdsafety.com/file/'
// Vue.prototype.$filePath = 'https://wwag.qhdsafety.com/file/'
Vue.prototype.$filePath = filePath



App.mpType = 'app'
const app = new Vue({
    ...App,
    store
})
app.$mount()
